# Ogre::GLContext Class Reference

Class that encapsulates an GL context. More...

`#include <OgreGLContext.h>`

Inheritance diagram for Ogre::GLContext:

List of all members.

## Public Member Functions

| GLContext ()
virtual | ~GLContext ()
virtual void | setCurrent ()=0
| Enable the context.
virtual void | endCurrent ()
| This is called before another context is made current.
bool | getInitialized ()
void | setInitialized ()

## Protected Attributes

bool | initialized

## Detailed Description

Class that encapsulates an GL context.

(IE a window/pbuffer). This is a virtual base class which should be implemented in a GLSupport. This object can also be used to cache renderstate if we decide to do so in the future.

Definition at line 38 of file OgreGLContext.h.

## Constructor & Destructor Documentation

Ogre::GLContext::GLContext | ( |  | ) |

virtual Ogre::GLContext::~GLContext | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Ogre::GLContext::endCurrent | ( |  | ) | `[virtual]`

| This is called before another context is made current. By default, nothing is done here.

bool Ogre::GLContext::getInitialized | ( |  | ) |

| Definition at line 54 of file OgreGLContext.h. References initialized.

virtual void Ogre::GLContext::setCurrent | ( |  | ) | `[pure virtual]`

| Enable the context. All subsequent rendering commands will go here. Implemented in Ogre::GLXContext, and Ogre::Win32Context.

void Ogre::GLContext::setInitialized | ( |  | ) |

| Definition at line 55 of file OgreGLContext.h. References initialized.

## Member Data Documentation

bool Ogre::GLContext::initialized `[protected]`

| Definition at line 57 of file OgreGLContext.h. Referenced by getInitialized(), and setInitialized().

The documentation for this class was generated from the following file:

- OgreGLContext.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:46:06 2005